JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Typedefs
juce_OSCTypes.h File Reference

## Classes
class | OSCTypes
| The definitions of supported OSC types and their associated OSC type tags, as defined in the OpenSoundControl 1.0 specification. More...
struct | OSCColour
| Holds a 32-bit RGBA colour for passing to and from an OSCArgument. More...
struct | OSCException
| Base class for exceptions that can be thrown by methods in the OSC module. More...
struct | OSCFormatError
| Exception type thrown when the OSC module fails to parse something because of a data format not compatible with the OpenSoundControl 1.0 specification. More...
struct | OSCInternalError
| Exception type thrown in cases of unexpected errors in the OSC module. More...

## Typedefs
using | OSCType = char
| The type used for OSC type tags.
using | OSCTypeList = Array<OSCType>
| The type used for OSC type tag strings.